package com.dgtly.goods.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 商品颜色对象 goods_color
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class GoodsColor
{
    private static final long serialVersionUID = 1L;

    /** 所属分类属性id */
    private Long id;

    /** 所属商品id */
    @Excel(name = "所属商品id")
    private Long goodsId;

    /** 颜色 */
    @Excel(name = "颜色")
    private String color;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsId(Long goodsId) 
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId() 
    {
        return goodsId;
    }
    public void setColor(String color) 
    {
        this.color = color;
    }

    public String getColor() 
    {
        return color;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsId", getGoodsId())
            .append("color", getColor())
            .toString();
    }
}
